package cn.com.poc.agent_application.dto;

import cn.com.poc.agent_application.domain.*;
import cn.com.poc.agent_application.entity.DigitalhumanConfig;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;

@JsonInclude(JsonInclude.Include.NON_NULL)
@JsonIgnoreProperties(ignoreUnknown = true)
public class AgentApplicationInfoDto implements java.io.Serializable {

    private static final long serialVersionUID = 1L;

    private AgentApplicationBaseInfo baseInfo;

    private AgentApplicationCommConfig commConfig;

    private AgentApplicationKnowledgeConfig knowledgeConfig;

    private AgentApplicationDatabaseConfig databaseConfig;

    private AgentApplicationCommModelConfig commModelConfig;

    private AgentApplicationVoiceConfig voiceConfig;


    private DigitalhumanConfig digitalhumanConfig;

    public AgentApplicationBaseInfo getBaseInfo() {
        return baseInfo;
    }

    public void setBaseInfo(AgentApplicationBaseInfo baseInfo) {
        this.baseInfo = baseInfo;
    }

    public AgentApplicationCommConfig getCommConfig() {
        return commConfig;
    }

    public void setCommConfig(AgentApplicationCommConfig commConfig) {
        this.commConfig = commConfig;
    }

    public AgentApplicationKnowledgeConfig getKnowledgeConfig() {
        return knowledgeConfig;
    }

    public void setKnowledgeConfig(AgentApplicationKnowledgeConfig knowledgeConfig) {
        this.knowledgeConfig = knowledgeConfig;
    }

    public AgentApplicationCommModelConfig getCommModelConfig() {
        return commModelConfig;
    }

    public void setCommModelConfig(AgentApplicationCommModelConfig commModelConfig) {
        this.commModelConfig = commModelConfig;
    }

    public AgentApplicationVoiceConfig getVoiceConfig() {
        return voiceConfig;
    }

    public void setVoiceConfig(AgentApplicationVoiceConfig voiceConfig) {
        this.voiceConfig = voiceConfig;
    }

    public DigitalhumanConfig getDigitalhumanConfig() {
        return digitalhumanConfig;
    }

    public void setDigitalhumanConfig(DigitalhumanConfig digitalhumanConfig) {
        this.digitalhumanConfig = digitalhumanConfig;
    }

    public AgentApplicationDatabaseConfig getDatabaseConfig() {
        return databaseConfig;
    }

    public void setDatabaseConfig(AgentApplicationDatabaseConfig databaseConfig) {
        this.databaseConfig = databaseConfig;
    }

    /**
     * unit_ids
     * 组件ID
     */
    private java.lang.String[] unitIds;

    public java.lang.String[] getUnitIds() {
        return this.unitIds;
    }

    public void setUnitIds(java.lang.String[] unitIds) {
        this.unitIds = unitIds;
    }

    /**
     * CREATOR
     * 创建人
     */
    private String creator;

    public String getCreator() {
        return this.creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }

    /**
     * CREATED_TIME
     * 创建时间
     */
    private java.util.Date createdTime;

    public java.util.Date getCreatedTime() {
        return this.createdTime;
    }

    public void setCreatedTime(java.util.Date createdTime) {
        this.createdTime = createdTime;
    }


    /**
     * MODIFIED_TIME
     * 修改时间
     */
    private java.util.Date modifiedTime;

    public java.util.Date getModifiedTime() {
        return this.modifiedTime;
    }

    public void setModifiedTime(java.util.Date modifiedTime) {
        this.modifiedTime = modifiedTime;
    }

    /**
     * isCollect
     * 当前用户是否收藏 1、Y 是 2、N 否
     */
    private String isCollect;

    public String getIsCollect() {
        return isCollect;
    }

    public void setIsCollect(String isCollect) {
        this.isCollect = isCollect;
    }

    /**
     * agent_publish_id
     * 发布应用的ID
     */
    private java.lang.Integer agentPublishId;

    public java.lang.Integer getAgentPublishId() {
        return this.agentPublishId;
    }

    public void setAgentPublishId(java.lang.Integer agentPublishId) {
        this.agentPublishId = agentPublishId;
    }

    /**
     * is_sale
     * 是否上架应用 1、Y 是 2、N 否
     */
    private java.lang.String isSale;

    public java.lang.String getIsSale() {
        return this.isSale;
    }

    public void setIsSale(java.lang.String isSale) {
        this.isSale = isSale;
    }

}